org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTJSMETHODCALLERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTJSMETHODCALLERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTJSMETHODCALLERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTJSMETHODCALLERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTJSMETHODCALLERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTJSMETHODCALLERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindJscall(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `bindWithcallback(IDynamicContentBindingObject value)`
    `CLIENTJSMETHODCALLERNode` | `setActionListener(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setComment(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setId(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setJscall(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setReference(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setRendered(boolean value)`
    `CLIENTJSMETHODCALLERNode` | `setRendered(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setTrigger(java.lang.String value)`
    `CLIENTJSMETHODCALLERNode` | `setWithcallback(boolean value)`
    `CLIENTJSMETHODCALLERNode` | `setWithcallback(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTJSMETHODCALLERNode

          public CLIENTJSMETHODCALLERNode()

  - ### Method Detail

    - #### setId

          public CLIENTJSMETHODCALLERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTJSMETHODCALLERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTJSMETHODCALLERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTJSMETHODCALLERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTJSMETHODCALLERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTJSMETHODCALLERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTJSMETHODCALLERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTJSMETHODCALLERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTJSMETHODCALLERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTJSMETHODCALLERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setJscall

          public CLIENTJSMETHODCALLERNode setJscall(java.lang.String value)

    - #### bindJscall

          public CLIENTJSMETHODCALLERNode bindJscall(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTJSMETHODCALLERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTJSMETHODCALLERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTJSMETHODCALLERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTJSMETHODCALLERNode setRendered(boolean value)

    - #### setTrigger

          public CLIENTJSMETHODCALLERNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public CLIENTJSMETHODCALLERNode bindTrigger(IDynamicContentBindingObject value)

    - #### setWithcallback

          public CLIENTJSMETHODCALLERNode setWithcallback(java.lang.String value)

    - #### bindWithcallback

          public CLIENTJSMETHODCALLERNode bindWithcallback(IDynamicContentBindingObject value)

    - #### setWithcallback

          public CLIENTJSMETHODCALLERNode setWithcallback(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.